import request from '@/utils/request'
import Qs from 'qs'

// 查询登录日志列表
export function list(query) {
  return request({
    url: '/monitor/loginInfo/querySysLoginListByPagination',
    method: 'get',
    params: query
  })
}

// 删除登录日志
export function delLogininfo(data) {
  data = Qs.stringify(data)
  return request({
    url: '/monitor/loginInfo/delete',
    method: 'post',
    data
  })
}

// 清空登录日志
export function cleanLogininfo(data) {
  data = Qs.stringify(data)
  return request({
    url: '/monitor/loginInfo/clean',
    method: 'post',
    data
  })
}

// 导出登录日志
export function exportLogininfo(query) {
  return request({
    url: '/monitor/loginInfo/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

